summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--Makefile10
-rw-r--r--common.mk7
-rw-r--r--debian/control2
-rwxr-xr-xremote-install.sh24
4 files changed, 41 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 294acaf..d7cbabb 100644
--- a/Makefile
+++ b/Makefile
@@ -4,6 +4,7 @@ VERSION=$(shell dpkg-parsechangelog --show-field Version)
DISTROS=base debian11 ubuntu2204 ubuntu2210
PROJECTNAME=libreichwein
+TGZNAME=$(shell ls -t ../$(PROJECTNAME)-*.tar.xz | head -n1 | sed -e 's,^../,,')
DESTDIR=/
@@ -70,6 +71,15 @@ $(DISTROS): deb-src
sudo pbuilder build --basetgz /var/cache/pbuilder/$@.tgz --buildresult result/$@ ../libreichwein_$(VERSION).dsc
-debsign result/$@/libreichwein_$(VERSION)_amd64.changes
+debs: $(DISTROS)
+
+upload:
+ scp ../$(TGZNAME) antcom.de:/var/www/reichwein.it-download/
+ scp -r result antcom.de:
+ scp -r remote-install.sh antcom.de:
+ ssh antcom.de ./remote-install.sh $(PROJECTNAME) $(VERSION)
+ ssh antcom.de rm -rf remote-install.sh result
+
test:
$(MAKE) -C tests
diff --git a/common.mk b/common.mk
index c8a51f1..405982d 100644
--- a/common.mk
+++ b/common.mk
@@ -66,6 +66,11 @@ CXXFLAGS+=-std=c++20 #-stdlib=libc++
CXXTYPE=clang++
LLVMPROFDATA=llvm-profdata-13
LLVMCOV=llvm-cov-13
+else ifeq ($(CXX),clang++)
+CXXFLAGS+=-std=c++20 #-stdlib=libc++
+CXXTYPE=clang++
+LLVMPROFDATA=llvm-profdata
+LLVMCOV=llvm-cov
else ifeq ($(CXX),g++-11)
CXXFLAGS+=-std=c++20 #-stdlib=libc++
CXXTYPE=g++
@@ -96,4 +101,4 @@ LIBS+= \
-lstdc++fs
endif
-LIBS+=-lboost_context -lboost_system
+LIBS+=-lboost_context -lboost_system -lpthread
diff --git a/debian/control b/debian/control
index 2bee0a8..7e9d5cd 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: libreichwein
Section: devel
Priority: optional
Maintainer: Roland Reichwein <mail@reichwein.it>
-Build-Depends: debhelper (>= 12), libboost-all-dev | libboost1.71-all-dev, clang | g++-9, llvm | g++-9, lld | g++-9, pkg-config, googletest
+Build-Depends: debhelper (>= 12), libboost-all-dev | libboost1.71-all-dev, clang | g++-9, llvm | g++-9, lld | g++-9, pkg-config, googletest, gcovr
Standards-Version: 4.5.0
Homepage: http://www.reichwein.it/libreichwein/
diff --git a/remote-install.sh b/remote-install.sh
new file mode 100755
index 0000000..69d24e4
--- /dev/null
+++ b/remote-install.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Script to be run on target server to install *.deb and *.tgz
+#
+
+set -e
+
+if [ "$#" != "2" ] ; then
+ echo "Usage: remote-install.sh <ProjectName> <Version>"
+ exit 0
+fi
+
+PROJECTNAME=$1
+VERSION=$2
+DISTROS="debian11 ubuntu2204 ubuntu2210"
+
+cd /var/www/reichwein.it-debian
+
+for i in $DISTROS; do
+ echo "Installing ${PROJECTNAME} for $i ..."
+ reprepro -C $i --ignore=wrongdistribution include stable /home/rr/result/$i/${PROJECTNAME}_${VERSION}_amd64.changes
+ echo "Copying ${PROJECTNAME} for $i to direct download location ..."
+ #cp /home/rr/result/$i/${PROJECTNAME}_${VERSION}_*.deb /var/www/reichwein.it-download/$i/
+done